com.genesyslab.wfm7.API.service.schedule761

## Class SchAgentDayShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchAgentDayShort

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDayShort
      extends java.lang.Object
      implements java.io.Serializable

  Agent Day Schedule in "short" form: contains all the Agent Day information, except the scheduled states.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `eligibleForTrade` Indicates whether the Agent Day can be traded or not.
    `private int` | `gswAgentId` Agent ID: identifies `CfgAgent` object.
    `private int` | `gswUserId` User ID if schedule day is "pending", and zero if agent is "committed".
    `private long` | `timestamp` Agent Day schedule DB timestamp value taken at the moment when a record was read from the database.
    `private java.lang.String` | `wmComments` Comments for the Agent Day schedule.
    `private double` | `wmDate` Date of the agent day schedule `OleDateTime`
    `private int` | `wmDayType` Type of the agent day schedule `ESchDayType`
    `private double` | `wmEndDateTime` End time of the last schedule state in Agent Day.
    `private int` | `wmExceptionTypeId` Exception ID: identifies full-day Exception `CfgExceptionType` if wmDayType = ESchDayType.SCH_DAY_EXCEPTION
    `private int` | `wmFlag` Agent Day Flag `ESchDayFlag`
    `private int` | `wmOvertimeMinutes` Daily overtime minutes.
    `private int` | `wmPaidMinutes` Total paid minutes in the Agent Day schedule.
    `private int` | `wmScheduleId` Schedule (Scenario) identifier (zero for Master Schedule)
    `private double` | `wmShiftEndDateTime` Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `private int` | `wmShiftId` Shift ID: identifies `CfgShift` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `private double` | `wmShiftStartDateTime` Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `private int` | `wmSiteId` Site ID: identifies `CfgSite` object.
    `private double` | `wmStartDateTime` Start time of the first schedule state in the Agent Day.
    `private int` | `wmTimeOffTypeId` Time Off Type ID: identifies full-day Time Off `CfgTimeOffType` if wmDayType = ESchDayType.SCH_DAY_TIMEOFF
    `private int` | `wmTimezoneId` Time Zone ID used.
    `private int` | `wmVacationMinutes` Total Time Off state minutes in the Agent Day schedule.
    `private int` | `wmWorkMinutes` Total effective-work minutes in the Agent Day schedule.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDayShort()`
    `SchAgentDayShort(int gswUserId, int wmScheduleId, int wmSiteId, int gswAgentId, double wmDate, int wmDayType, int wmExceptionTypeId, int wmTimeOffTypeId, double wmStartDateTime, double wmEndDateTime, int wmShiftId, double wmShiftStartDateTime, double wmShiftEndDateTime, java.lang.String wmComments, int wmFlag, int wmPaidMinutes, int wmWorkMinutes, int wmVacationMinutes, int wmOvertimeMinutes, boolean eligibleForTrade, int wmTimezoneId, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchAgentDayShort.
    `int` | `getGswUserId()` Gets the gswUserId value for this SchAgentDayShort.
    `long` | `getTimestamp()` Gets the timestamp value for this SchAgentDayShort.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchAgentDayShort.
    `double` | `getWmDate()` Gets the wmDate value for this SchAgentDayShort.
    `int` | `getWmDayType()` Gets the wmDayType value for this SchAgentDayShort.
    `double` | `getWmEndDateTime()` Gets the wmEndDateTime value for this SchAgentDayShort.
    `int` | `getWmExceptionTypeId()` Gets the wmExceptionTypeId value for this SchAgentDayShort.
    `int` | `getWmFlag()` Gets the wmFlag value for this SchAgentDayShort.
    `int` | `getWmOvertimeMinutes()` Gets the wmOvertimeMinutes value for this SchAgentDayShort.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchAgentDayShort.
    `int` | `getWmScheduleId()` Gets the wmScheduleId value for this SchAgentDayShort.
    `double` | `getWmShiftEndDateTime()` Gets the wmShiftEndDateTime value for this SchAgentDayShort.
    `int` | `getWmShiftId()` Gets the wmShiftId value for this SchAgentDayShort.
    `double` | `getWmShiftStartDateTime()` Gets the wmShiftStartDateTime value for this SchAgentDayShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchAgentDayShort.
    `double` | `getWmStartDateTime()` Gets the wmStartDateTime value for this SchAgentDayShort.
    `int` | `getWmTimeOffTypeId()` Gets the wmTimeOffTypeId value for this SchAgentDayShort.
    `int` | `getWmVacationMinutes()` Gets the wmVacationMinutes value for this SchAgentDayShort.
    `int` | `getWmWorkMinutes()` Gets the wmWorkMinutes value for this SchAgentDayShort.
    `boolean` | `isEligibleForTrade()` Gets the eligibleForTrade value for this SchAgentDayShort.
    `void` | `setEligibleForTrade(boolean eligibleForTrade)` Sets the eligibleForTrade value for this SchAgentDayShort.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchAgentDayShort.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this SchAgentDayShort.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchAgentDayShort.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchAgentDayShort.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this SchAgentDayShort.
    `void` | `setWmDayType(int wmDayType)` Sets the wmDayType value for this SchAgentDayShort.
    `void` | `setWmEndDateTime(double wmEndDateTime)` Sets the wmEndDateTime value for this SchAgentDayShort.
    `void` | `setWmExceptionTypeId(int wmExceptionTypeId)` Sets the wmExceptionTypeId value for this SchAgentDayShort.
    `void` | `setWmFlag(int wmFlag)` Sets the wmFlag value for this SchAgentDayShort.
    `void` | `setWmOvertimeMinutes(int wmOvertimeMinutes)` Sets the wmOvertimeMinutes value for this SchAgentDayShort.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchAgentDayShort.
    `void` | `setWmScheduleId(int wmScheduleId)` Sets the wmScheduleId value for this SchAgentDayShort.
    `void` | `setWmShiftEndDateTime(double wmShiftEndDateTime)` Sets the wmShiftEndDateTime value for this SchAgentDayShort.
    `void` | `setWmShiftId(int wmShiftId)` Sets the wmShiftId value for this SchAgentDayShort.
    `void` | `setWmShiftStartDateTime(double wmShiftStartDateTime)` Sets the wmShiftStartDateTime value for this SchAgentDayShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchAgentDayShort.
    `void` | `setWmStartDateTime(double wmStartDateTime)` Sets the wmStartDateTime value for this SchAgentDayShort.
    `void` | `setWmTimeOffTypeId(int wmTimeOffTypeId)` Sets the wmTimeOffTypeId value for this SchAgentDayShort.
    `void` | `setWmVacationMinutes(int wmVacationMinutes)` Sets the wmVacationMinutes value for this SchAgentDayShort.
    `void` | `setWmWorkMinutes(int wmWorkMinutes)` Sets the wmWorkMinutes value for this SchAgentDayShort.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswUserId

          private int gswUserId

      User ID if schedule day is "pending", and zero if agent is "committed".

    - #### wmScheduleId

          private int wmScheduleId

      Schedule (Scenario) identifier (zero for Master Schedule)

    - #### wmSiteId

          private int wmSiteId

      Site ID: identifies `CfgSite` object.

    - #### gswAgentId

          private int gswAgentId

      Agent ID: identifies `CfgAgent` object. This has a negative value if the agent is the "Profile Agent".

    - #### wmDate

          private double wmDate

      Date of the agent day schedule `OleDateTime`

    - #### wmDayType

          private int wmDayType

      Type of the agent day schedule `ESchDayType`

    - #### wmExceptionTypeId

          private int wmExceptionTypeId

      Exception ID: identifies full-day Exception `CfgExceptionType` if wmDayType = ESchDayType.SCH_DAY_EXCEPTION

    - #### wmTimeOffTypeId

          private int wmTimeOffTypeId

      Time Off Type ID: identifies full-day Time Off `CfgTimeOffType` if wmDayType = ESchDayType.SCH_DAY_TIMEOFF

    - #### wmStartDateTime

          private double wmStartDateTime

      Start time of the first schedule state in the Agent Day. If Agent Day is of full-day type, for instance, Exception, Day Off, or Time Off, then wmStartDateTime is equal to wmDate. This is a read-only attribute. `OleDateTime`

    - #### wmEndDateTime

          private double wmEndDateTime

      End time of the last schedule state in Agent Day. If Agent Day is of full-day type, for instance, Exception, Day Off, or Time Off, then wmEndDateTime is equal to wmDate. This is a read-only attribute.

    - #### wmShiftId

          private int wmShiftId

      Shift ID: identifies `CfgShift` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmShiftStartDateTime

          private double wmShiftStartDateTime

      Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmShiftEndDateTime

          private double wmShiftEndDateTime

      Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmComments

          private java.lang.String wmComments

      Comments for the Agent Day schedule.

    - #### wmFlag

          private int wmFlag

      Agent Day Flag `ESchDayFlag`

    - #### wmPaidMinutes

          private int wmPaidMinutes

      Total paid minutes in the Agent Day schedule. If a modified day of type SCH_DAY_EXCEPTION is sent back to the server, then the specified paid minutes tell the server how this full-day exception needs to be compensated. Otherwise, if value is zero, the standard working hours are used as the paid time for the full-day exception.

    - #### wmWorkMinutes

          private int wmWorkMinutes

      Total effective-work minutes in the Agent Day schedule. This is a read-only attribute.

    - #### wmVacationMinutes

          private int wmVacationMinutes

      Total Time Off state minutes in the Agent Day schedule. This is a read-only attribute.

    - #### wmOvertimeMinutes

          private int wmOvertimeMinutes

      Daily overtime minutes. This is a read-only attribute.

    - #### eligibleForTrade

          private boolean eligibleForTrade

      Indicates whether the Agent Day can be traded or not. This is a read-only attribute.

    - #### wmTimezoneId

          private int wmTimezoneId

      Time Zone ID used. A zero value represents Site time zone. `CfgTimezone`

    - #### timestamp

          private long timestamp

      Agent Day schedule DB timestamp value taken at the moment when a record was read from the database. A client can use this value to check whether the Agent Day schedule has been modified by another user by comparing it against the comparable value returned with the function ReadAgentDayDBTimestamp. This value is also used by Schedule Service when saving the Agent Day to the database. (See function SaveAgentDay.)

  - ### Constructor Detail

    - #### SchAgentDayShort

          public SchAgentDayShort()

    - #### SchAgentDayShort

          public SchAgentDayShort(int gswUserId,
                          int wmScheduleId,
                          int wmSiteId,
                          int gswAgentId,
                          double wmDate,
                          int wmDayType,
                          int wmExceptionTypeId,
                          int wmTimeOffTypeId,
                          double wmStartDateTime,
                          double wmEndDateTime,
                          int wmShiftId,
                          double wmShiftStartDateTime,
                          double wmShiftEndDateTime,
                          java.lang.String wmComments,
                          int wmFlag,
                          int wmPaidMinutes,
                          int wmWorkMinutes,
                          int wmVacationMinutes,
                          int wmOvertimeMinutes,
                          boolean eligibleForTrade,
                          int wmTimezoneId,
                          long timestamp)

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this SchAgentDayShort.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this SchAgentDayShort.
      Parameters:
        `gswUserId` -

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the wmScheduleId value for this SchAgentDayShort.
      Returns:
        wmScheduleId

    - #### setWmScheduleId

          public void setWmScheduleId(int wmScheduleId)

      Sets the wmScheduleId value for this SchAgentDayShort.
      Parameters:
        `wmScheduleId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchAgentDayShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchAgentDayShort.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchAgentDayShort.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchAgentDayShort.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this SchAgentDayShort.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this SchAgentDayShort.
      Parameters:
        `wmDate` -

    - #### getWmDayType

          public int getWmDayType()

      Gets the wmDayType value for this SchAgentDayShort.
      Returns:
        wmDayType

    - #### setWmDayType

          public void setWmDayType(int wmDayType)

      Sets the wmDayType value for this SchAgentDayShort.
      Parameters:
        `wmDayType` -

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the wmExceptionTypeId value for this SchAgentDayShort.
      Returns:
        wmExceptionTypeId

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int wmExceptionTypeId)

      Sets the wmExceptionTypeId value for this SchAgentDayShort.
      Parameters:
        `wmExceptionTypeId` -

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the wmTimeOffTypeId value for this SchAgentDayShort.
      Returns:
        wmTimeOffTypeId

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int wmTimeOffTypeId)

      Sets the wmTimeOffTypeId value for this SchAgentDayShort.
      Parameters:
        `wmTimeOffTypeId` -

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the wmStartDateTime value for this SchAgentDayShort.
      Returns:
        wmStartDateTime

    - #### setWmStartDateTime

          public void setWmStartDateTime(double wmStartDateTime)

      Sets the wmStartDateTime value for this SchAgentDayShort.
      Parameters:
        `wmStartDateTime` -

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the wmEndDateTime value for this SchAgentDayShort.
      Returns:
        wmEndDateTime

    - #### setWmEndDateTime

          public void setWmEndDateTime(double wmEndDateTime)

      Sets the wmEndDateTime value for this SchAgentDayShort.
      Parameters:
        `wmEndDateTime` -

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the wmShiftId value for this SchAgentDayShort.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int wmShiftId)

      Sets the wmShiftId value for this SchAgentDayShort.
      Parameters:
        `wmShiftId` -

    - #### getWmShiftStartDateTime

          public double getWmShiftStartDateTime()

      Gets the wmShiftStartDateTime value for this SchAgentDayShort.
      Returns:
        wmShiftStartDateTime

    - #### setWmShiftStartDateTime

          public void setWmShiftStartDateTime(double wmShiftStartDateTime)

      Sets the wmShiftStartDateTime value for this SchAgentDayShort.
      Parameters:
        `wmShiftStartDateTime` -

    - #### getWmShiftEndDateTime

          public double getWmShiftEndDateTime()

      Gets the wmShiftEndDateTime value for this SchAgentDayShort.
      Returns:
        wmShiftEndDateTime

    - #### setWmShiftEndDateTime

          public void setWmShiftEndDateTime(double wmShiftEndDateTime)

      Sets the wmShiftEndDateTime value for this SchAgentDayShort.
      Parameters:
        `wmShiftEndDateTime` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchAgentDayShort.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchAgentDayShort.
      Parameters:
        `wmComments` -

    - #### getWmFlag

          public int getWmFlag()

      Gets the wmFlag value for this SchAgentDayShort.
      Returns:
        wmFlag

    - #### setWmFlag

          public void setWmFlag(int wmFlag)

      Sets the wmFlag value for this SchAgentDayShort.
      Parameters:
        `wmFlag` -

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchAgentDayShort.
      Returns:
        wmPaidMinutes

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchAgentDayShort.
      Parameters:
        `wmPaidMinutes` -

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the wmWorkMinutes value for this SchAgentDayShort.
      Returns:
        wmWorkMinutes

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int wmWorkMinutes)

      Sets the wmWorkMinutes value for this SchAgentDayShort.
      Parameters:
        `wmWorkMinutes` -

    - #### getWmVacationMinutes

          public int getWmVacationMinutes()

      Gets the wmVacationMinutes value for this SchAgentDayShort.
      Returns:
        wmVacationMinutes

    - #### setWmVacationMinutes

          public void setWmVacationMinutes(int wmVacationMinutes)

      Sets the wmVacationMinutes value for this SchAgentDayShort.
      Parameters:
        `wmVacationMinutes` -

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the wmOvertimeMinutes value for this SchAgentDayShort.
      Returns:
        wmOvertimeMinutes

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int wmOvertimeMinutes)

      Sets the wmOvertimeMinutes value for this SchAgentDayShort.
      Parameters:
        `wmOvertimeMinutes` -

    - #### isEligibleForTrade

          public boolean isEligibleForTrade()

      Gets the eligibleForTrade value for this SchAgentDayShort.
      Returns:
        eligibleForTrade

    - #### setEligibleForTrade

          public void setEligibleForTrade(boolean eligibleForTrade)

      Sets the eligibleForTrade value for this SchAgentDayShort.
      Parameters:
        `eligibleForTrade` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchAgentDayShort.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchAgentDayShort.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.